| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

Macros | Functions
Cpu module documentation

## Macros
#define | CPU_PERIPHERALS_INIT 0x00U /* Peripherals_Init() method is not called in PE_low_level_init() */
#define | CPU_COMPONENTS_INIT 0x01U /* Call Components_Init() method in PE_low_level_init() */
#define | CPU_INIT_CONFIG 0x00U /* Do not include Init_Config.h in the main.c file */
#define | CPU_HARDWARE_INIT 0x01U /* Call hardware_init() method in PE_low_level_init() */

## Functions
void | Components_Init (void)
void | PE_low_level_init (void)

## Detailed Description

## Macro Definition Documentation

#define CPU_COMPONENTS_INIT 0x01U /* Call Components_Init() method in PE_low_level_init() */

Definition at line 107 of file Cpu.h.

#define CPU_HARDWARE_INIT 0x01U /* Call hardware_init() method in PE_low_level_init() */

Definition at line 109 of file Cpu.h.

#define CPU_INIT_CONFIG 0x00U /* Do not include Init_Config.h in the main.c file */

Definition at line 108 of file Cpu.h.

#define CPU_PERIPHERALS_INIT 0x00U /* Peripherals_Init() method is not called in PE_low_level_init() */

Definition at line 106 of file Cpu.h.

## Function Documentation

void Components_Init | ( | void |  | ) |

ISF_I2C1 Auto initialization start

ISF_I2C1 Auto initialization end

ISF_UART1 Auto initialization start

ISF_UART1 Auto initialization end

ISF_SPI1 Auto initialization start

ISF_SPI1 Auto initialization end

SensorReset Auto initialization start

SensorReset Auto initialization end

SPIChipSelect Auto initialization start

SPIChipSelect Auto initialization end

SPISelect Auto initialization start

SPISelect Auto initialization end

ResetSensor Auto initialization start

ResetSensor Auto initialization end

ADC1 Auto initialization start

ADC1 Auto initialization end

SensorEnable Auto initialization start

SensorEnable Auto initialization end

OutX Auto initialization start

OutX Auto initialization end

OutY Auto initialization start

OutY Auto initialization end

OutZ Auto initialization start

OutZ Auto initialization end

ChipSelect Auto initialization start

ChipSelect Auto initialization end

BMTIMER1 Auto initialization start

BMTIMER1 Auto initialization end

EventHandler_Task1 Auto initialization start

EventHandler_Task1 Auto initialization end

Definition at line 113 of file Cpu.c.

References ADC1_ChnConfig0, ADC1_InitConfig0, App1_init(), BasicApp1_init(), BMTIMER1_InitConfig0, ChipSelect_OutConfig0, EventHandler_Task1_Init(), FSL_ADC1, FSL_BMTIMER1, FSL_BMTIMER1_CHANNEL, FSL_ISF_I2C1, FSL_ISF_SPI1, FSL_ISF_UART1, ISF_I2C1_IRQHandler(), ISF_I2C1_MasterConfig0, ISF_I2C1_MasterState, ISF_SPI1_BusConfig0, ISF_SPI1_calculatedBaudRate, ISF_SPI1_IRQHandler(), ISF_SPI1_MasterConfig0, ISF_SPI1_MasterState, ISF_UART1_InitConfig0, ISF_UART1_IRQHandler(), ISF_UART1_State, OutX_OutConfig0, OutY_OutConfig0, OutZ_OutConfig0, ResetSensor_OutConfig0, RLI1_init(), SensorEnable_OutConfig0, SPISelect_OutConfig0, UART2_UserDefinedVars, and uart_user_init().

Here is the call graph for this function:

void PE_low_level_init | ( | void |  | ) |

Referenced by main().

Here is the caller graph for this function:
- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.